#msgSubmit p {
  color: red;
}
[type='submit']:active {
  transform: scale(0.9, 0.9);
}
[type='submit']:before,
[type='submit']:after {
  position: absolute;
  opacity: 0;
  border-radius: 50%;
  background-color: #ffe628;
  top: 50%;
  left: 50%;
  margin-top: -1.125rem;
  margin-left: -1.125rem;
  width: 2.25rem;
  height: 2.25rem;
  content: '';
  z-index: 1;
}
[type='submit'].loading {
  pointer-events: none;
  border-radius: 1.5rem;
  animation: button-loading 0.5s forwards;
  background-color: #757575;
}
[type='submit'].loading:before {
  opacity: 1;
  animation: button-dot-intro 0.5s forwards;
}
[type='submit'].loading:after {
  opacity: 0;
  animation: button-dot-pulse 1.5s infinite 0.5s;
}
[type='submit'].ready {
  pointer-events: none;
  text-indent: 0;
  color: transparent;
  background-color: white;
  animation: button-ready 0.333s forwards;
}
[type='submit'].ready:before {
  position: absolute;
  left: 0;
  right: 0;
  top: auto;
  margin: 0;
  width: auto;
  height: auto;
  border-radius: 0;
  background-color: #4caf50;
  color: white;
  content: '✓ Listo';
  opacity: 0;
  z-index: 2;
  animation: button-ready-label 0.5s forwards 0.275s;
}
[type='submit'].ready:after {
  opacity: 1;
  animation: button-dot-outro 0.333s;
}
[type='submit'].error {
  border-color: #d52222;
}
[type='submit'].error:before {
  position: absolute;
  left: 0;
  right: 0;
  top: auto;
  margin: 0;
  width: auto;
  height: auto;
  border-radius: 0;
  background-color: white;
  color: #d52222;
  content: 'Error';
  opacity: 0;
  z-index: 2;
  animation: button-ready-label 0.5s forwards 0.275s;
}
[type='submit'].error:after {
  opacity: 0;
  animation: button-dot-outro 0.333s;
}
@keyframes button-loading {
  20% {
    color: transparent;
    transform: scale(1, 1);
  }
  40% {
    border-color: white;
    background-color: transparent;
    transform: scale(1, 1);
  }
  60% {
    transform: scale(0.7, 1.1);
    margin-left: 1.25rem;
    width: 2.5rem;
    text-indent: -0.6125rem;
    color: transparent;
    border-color: white;
    background-color: white;
  }
  80% {
    transform: scale(1, 1);
  }
  100% {
    margin-left: 1.25rem;
    width: 2.5rem;
    background-color: white;
    border-color: white;
    color: transparent;
  }
}
@keyframes button-dot-intro {
  0% {
    opacity: 0;
  }
  60% {
    opacity: 1;
    transform: scale(1, 1);
  }
  100% {
    transform: scale(0.75, 0.75);
  }
}
@keyframes button-dot-pulse {
  0% {
    opacity: 1;
    transform: scale(0.75, 0.75);
  }
  15% {
    transform: scale(0.85, 0.85);
  }
  45% {
    transform: scale(0.75, 0.75);
  }
  55% {
    transform: scale(0.95, 0.95);
  }
  85% {
    transform: scale(0.75, 0.75);
  }
  100% {
    opacity: 1;
    transform: scale(0.75, 0.75);
  }
}
@keyframes button-ready {
  0% {
    margin-left: 1.25rem;
    width: 2.5rem;
  }
  10% {
    background-color: white;
    border-color: white;
  }
  70% {
    margin: 0;
    width: 7.25rem;
    background-color: #fff;
    transform: scale(1.1, 1.1);
  }
  100% {
    width: 7rem;
    border-color: #4caf50;
    background-color: #fff;
  }
}
@keyframes button-dot-outro {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    transform: scale(1, 1);
  }
}
@keyframes button-ready-label {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@media ('max-width: 992px') {
  .infoBtn {
    flex-direction: column-reverse;
  }
  span.contIcon-redes {
    flex-wrap: wrap;
  }
  span.contIcon-redes a {
    margin: 10px 10% !important;
  }
}
@media ('max-width: 480px') {
  .contForm {
    width: 100%;
    margin-top: 30px;
  }
}
